function [residual, g1, g2] = loss_MP_FSP_static(y, x, params)
%
% Status : Computes static model for Dynare
%
% Warning : this file is generated automatically by Dynare
%           from model file (.mod)

residual = zeros( 77, 1);

%
% Model equations
%

T18 = (1-params(10))*exp(y(50))*(exp(y(1))-params(10)*exp(y(1)))^(-1);
T43 = exp(y(34));
T58 = exp(y(60))*exp(y(4))^(1+params(3))/exp(y(42));
T69 = T43^params(35)*params(44)^(1-params(35));
T70 = exp(y(8))-T69;
T75 = params(18)*exp(y(5))*params(1)/exp(y(5));
T77 = exp(y(8))^2;
T101 = (1-params(10))*exp(y(50))*(exp(y(9))-params(10)*exp(y(9)))^(-1);
T120 = T43*exp(y(45))*exp(y(14))*exp(y(57));
T128 = exp(y(13))-exp(y(13))*params(4)*(1+exp(y(30)))/T43;
T138 = exp(y(60))*exp(y(12))^(1+params(3))/exp(y(43));
T148 = params(18)*exp(y(13))*params(4)/exp(y(13));
T149 = (exp(y(15))-T69)*T148;
T150 = exp(y(15))^2;
T180 = exp(y(16))*exp(y(56))/exp(y(16));
T181 = T180-1;
T184 = 1-params(36)/2*T181^2;
T204 = exp(y(56))*T181*params(36)*exp(y(17))*params(6)*exp(y(24))/exp(y(24));
T205 = exp(y(17))*(T184-exp(y(56))*exp(y(16))*params(36)*T181/exp(y(16)))+T204;
T221 = (1-params(40))*T43*exp(y(17))*exp(y(25))*exp(y(58));
T242 = params(16)*(1-params(8))*exp(y(23))/(exp(y(20))*exp(y(35)));
T250 = exp(y(23))*(1-params(8))*(1-params(16))/(exp(y(35))*exp(y(21)));
T281 = exp(y(51))*exp(y(19))^params(8);
T284 = exp(y(20))^params(16)*exp(y(21))^(1-params(16));
T285 = T284^(1-params(8));
T296 = params(8)*exp(y(51))*exp(y(19))^(params(8)-1);
T308 = exp(y(33))/exp(y(41));
T313 = T308^2;
T364 = params(46)^(1-params(59))*(exp(y(74))/exp(y(74)))^params(60)*1^params(61);
T371 = exp(y(68))^0.94;
T374 = exp(y(62))/exp(y(77));
T383 = exp(y(69))^0.92;
T395 = exp(y(48))*exp(y(53))/(exp(y(53))-1)/exp(y(29));
T406 = exp(y(32))*exp(y(54))/(exp(y(54))-1)/exp(y(31));
T417 = exp(y(32))*exp(y(55))/(exp(y(55))-1)/exp(y(30));
T430 = params(31)/2;
T433 = exp(y(33))*T430*(T308-exp(y(66)))^2;
T447 = T43-T43^params(34)*params(44)^(1-params(34));
T451 = exp(y(37))*(1-1/exp(y(35))-params(33)/2*T447^2);
T489 = exp(y(68))*exp(y(40))+exp(y(69))*exp(y(39));
T527 = (1+params(45))^(1-params(41))*(1+exp(y(48)))^params(41);
T533 = (T43/params(44))^params(42)*1^params(43);
T648 = exp(y(33))/T489;
T778 = (-((1-params(40))*exp(y(19))*T43*exp(y(17))*exp(y(58))));
T802 = (-((-(params(16)*(1-params(8))*exp(y(23))*exp(y(20))*exp(y(35))))/(exp(y(20))*exp(y(35))*exp(y(20))*exp(y(35)))));
T807 = exp(y(21))^(1-params(16))*exp(y(20))*params(16)*exp(y(20))^(params(16)-1);
T811 = T807*(1-params(8))*T284^(1-params(8)-1);
T822 = (-((-(exp(y(23))*(1-params(8))*(1-params(16))*exp(y(35))*exp(y(21))))/(exp(y(35))*exp(y(21))*exp(y(35))*exp(y(21)))));
T827 = exp(y(20))^params(16)*exp(y(21))*(1-params(16))*exp(y(21))^(1-params(16)-1);
T828 = (1-params(8))*T284^(1-params(8)-1)*T827;
T915 = (-(params(44)^(1-params(35))*T43*params(35)*T43^(params(35)-1)));
T959 = T43-params(44)^(1-params(34))*T43*params(34)*T43^(params(34)-1);
T1014 = (-((-(exp(y(33))*exp(y(69))*exp(y(39))))/(T489*T489)));
T1020 = (-((-(exp(y(33))*exp(y(68))*exp(y(40))))/(T489*T489)));
T1025 = (-(exp(y(33))*exp(y(41))))/(exp(y(41))*exp(y(41)));
T1070 = (exp(y(53))*(exp(y(53))-1)-exp(y(53))*exp(y(53)))/((exp(y(53))-1)*(exp(y(53))-1));
T1079 = (exp(y(54))*(exp(y(54))-1)-exp(y(54))*exp(y(54)))/((exp(y(54))-1)*(exp(y(54))-1));
T1089 = (exp(y(55))*(exp(y(55))-1)-exp(y(55))*exp(y(55)))/((exp(y(55))-1)*(exp(y(55))-1));
T1098 = (-(params(36)/2*T180*2*T181));
T1182 = (-(exp(y(62))*exp(y(77))))/(exp(y(77))*exp(y(77)));
lhs =T18;
rhs =exp(y(5));
residual(1)= lhs-rhs;
residual(2) = params(2)*exp(y(52))/exp(y(2))-exp(y(5))*exp(y(45))+exp(y(45))*exp(y(5))*params(1);
lhs =exp(y(5));
rhs =exp(y(5))*params(1)*(1+exp(y(29)))/T43;
residual(3)= lhs-rhs;
residual(4) = (1-exp(y(60)))*exp(y(4))+T58/exp(y(5))-exp(y(8))*params(18)*T70+T70*T75*T77/T43;
lhs =exp(y(8));
rhs =T43;
residual(5)= lhs-rhs;
lhs =exp(y(1))+exp(y(3));
rhs =exp(y(4))*exp(y(42))+(1+exp(y(29)))*exp(y(3))/T43+exp(y(6))/params(13);
residual(6)= lhs-rhs;
lhs =T101;
rhs =exp(y(13));
residual(7)= lhs-rhs;
residual(8) = params(2)*exp(y(52))/exp(y(10))-exp(y(45))*exp(y(13))+exp(y(45))*exp(y(13))*params(4)+T120;
lhs =T128;
rhs =exp(y(14))*(1+exp(y(30)));
residual(9)= lhs-rhs;
residual(10) = (1-exp(y(60)))*exp(y(12))+T138/exp(y(13))-exp(y(15))*params(18)*(exp(y(15))-T69)+T149*T150/T43;
lhs =exp(y(15));
rhs =T43;
residual(11)= lhs-rhs;
lhs =exp(y(9))+(1+exp(y(30)))*exp(y(11))/T43;
rhs =exp(y(11))+exp(y(12))*exp(y(43));
residual(12)= lhs-rhs;
lhs =(1+exp(y(30)))*exp(y(11));
rhs =T43*exp(y(10))*exp(y(45))*exp(y(57));
residual(13)= lhs-rhs;
lhs =exp(y(46));
rhs =exp(y(46))*(1-params(40))+exp(y(16))*T184;
residual(14)= lhs-rhs;
lhs =1;
rhs =T205;
residual(15)= lhs-rhs;
lhs =(1-params(10))*(exp(y(18))-params(10)*exp(y(18)))^(-1);
rhs =exp(y(24));
residual(16)= lhs-rhs;
lhs =T221+params(6)*exp(y(24))*((1-params(40))*exp(y(17))+exp(y(49)));
rhs =exp(y(17))*exp(y(24));
residual(17)= lhs-rhs;
lhs =exp(y(42));
rhs =T242;
residual(18)= lhs-rhs;
lhs =exp(y(43));
rhs =T250;
residual(19)= lhs-rhs;
lhs =exp(y(24))-exp(y(25))*(1+exp(y(31)));
rhs =params(6)*exp(y(24))*(1+exp(y(31)))/T43;
residual(20)= lhs-rhs;
lhs =exp(y(18))+(1+exp(y(31)))*exp(y(22))/T43+exp(y(42))*exp(y(20))+exp(y(43))*exp(y(21))+exp(y(17))*exp(y(19));
rhs =exp(y(22))+exp(y(23))/exp(y(35))+(1-params(40))*exp(y(17))*exp(y(19));
residual(21)= lhs-rhs;
lhs =exp(y(23));
rhs =T281*T285;
residual(22)= lhs-rhs;
lhs =(1+exp(y(31)))*exp(y(22));
rhs =(1-params(40))*exp(y(19))*T43*exp(y(17))*exp(y(58));
residual(23)= lhs-rhs;
lhs =exp(y(49));
rhs =T285*T296/exp(y(35));
residual(24)= lhs-rhs;
lhs =exp(y(32));
rhs =(-params(31))*(T308-exp(y(66)))*T313+exp(y(48));
residual(25)= lhs-rhs;
lhs =T43*exp(y(33));
rhs =exp(y(33))*(1-params(30))+exp(y(7));
residual(26)= lhs-rhs;
lhs =params(28)*exp(y(26));
rhs =exp(y(3))*params(13);
residual(27)= lhs-rhs;
lhs =params(28)*exp(y(27));
rhs =exp(y(11))*params(14);
residual(28)= lhs-rhs;
lhs =params(28)*exp(y(28));
rhs =exp(y(22))*params(15);
residual(29)= lhs-rhs;
lhs =exp(y(27))+exp(y(28));
rhs =exp(y(33))+exp(y(26));
residual(30)= lhs-rhs;
lhs =exp(y(66));
rhs =T364*exp(y(66))^params(59);
residual(31)= lhs-rhs;
lhs =exp(y(68));
rhs =T371*T374^(-0.6000000000000005);
residual(32)= lhs-rhs;
lhs =exp(y(69));
rhs =T383*T374^(-1.199999999999999);
residual(33)= lhs-rhs;
residual(34) = (-1)+exp(y(53))/(exp(y(53))-1)-T395;
residual(35) = 1-exp(y(54))/(exp(y(54))-1)+T406;
residual(36) = 1-exp(y(55))/(exp(y(55))-1)+T417;
lhs =exp(y(7));
rhs =exp(y(30))*exp(y(27))+exp(y(31))*exp(y(28))-exp(y(29))*exp(y(26))-T433;
residual(37)= lhs-rhs;
lhs =exp(y(6));
rhs =T451;
residual(38)= lhs-rhs;
residual(39) = 1-exp(y(59))+exp(y(59))/exp(y(35))-T43*params(33)*T447+T43*T447*params(1)*params(33);
lhs =exp(y(5))*exp(y(70));
rhs =exp(y(5))*params(1)*(exp(y(6))+exp(y(70)))/T43;
residual(40)= lhs-rhs;
lhs =exp(y(36));
rhs =exp(y(1))*params(13)+exp(y(9))*params(14)+exp(y(18))*params(15);
residual(41)= lhs-rhs;
lhs =exp(y(40));
rhs =params(28)*exp(y(27));
residual(42)= lhs-rhs;
lhs =exp(y(39));
rhs =params(28)*exp(y(28));
residual(43)= lhs-rhs;
lhs =exp(y(41));
rhs =T489;
residual(44)= lhs-rhs;
lhs =exp(y(38));
rhs =exp(y(3))*params(13);
residual(45)= lhs-rhs;
lhs =exp(y(37));
rhs =exp(y(23))*params(15);
residual(46)= lhs-rhs;
lhs =exp(y(44));
rhs =exp(y(7))*params(28);
residual(47)= lhs-rhs;
lhs =exp(y(20))*params(15);
rhs =exp(y(4))*params(13);
residual(48)= lhs-rhs;
lhs =exp(y(21))*params(15);
rhs =exp(y(12))*params(14);
residual(49)= lhs-rhs;
lhs =params(9);
rhs =exp(y(2))*params(13)+exp(y(10))*params(14);
residual(50)= lhs-rhs;
lhs =exp(y(46));
rhs =exp(y(19))*params(15);
residual(51)= lhs-rhs;
lhs =exp(y(62));
rhs =exp(y(36))+exp(y(46))-exp(y(46))*(1-params(40));
residual(52)= lhs-rhs;
lhs =exp(y(47));
rhs =T43;
residual(53)= lhs-rhs;
lhs =1+exp(y(48));
rhs =T527*T533^(1-params(41))*(1+x(10));
residual(54)= lhs-rhs;
lhs =exp(y(50));
rhs =1-params(47)+exp(y(50))*params(47)+x(13);
residual(55)= lhs-rhs;
lhs =exp(y(51));
rhs =1-params(48)+exp(y(51))*params(48)+x(1);
residual(56)= lhs-rhs;
lhs =exp(y(52));
rhs =1-params(49)+exp(y(52))*params(49)+x(3);
residual(57)= lhs-rhs;
lhs =exp(y(57));
rhs =(1-params(50))*params(5)+exp(y(57))*params(50)+x(6);
residual(58)= lhs-rhs;
lhs =exp(y(58));
rhs =(1-params(51))*params(7)+exp(y(58))*params(51)+x(5);
residual(59)= lhs-rhs;
lhs =exp(y(53));
rhs =(1-params(53))*params(22)+exp(y(53))*params(53)+x(9);
residual(60)= lhs-rhs;
lhs =exp(y(54));
rhs =(1-params(54))*params(24)+exp(y(54))*params(54)+x(7);
residual(61)= lhs-rhs;
lhs =exp(y(55));
rhs =(1-params(55))*params(23)+exp(y(55))*params(55)+x(8);
residual(62)= lhs-rhs;
lhs =exp(y(56));
rhs =1-params(56)+exp(y(56))*params(56)+x(11);
residual(63)= lhs-rhs;
lhs =exp(y(59));
rhs =(1-params(52))*params(32)+exp(y(59))*params(52)+x(12);
residual(64)= lhs-rhs;
lhs =exp(y(60));
rhs =(1-params(57))*params(17)+exp(y(60))*params(57)+x(4);
residual(65)= lhs-rhs;
lhs =exp(y(61));
rhs =1-params(58)+exp(y(61))*params(58)+x(2);
residual(66)= lhs-rhs;
lhs =exp(y(64));
rhs =T284;
residual(67)= lhs-rhs;
lhs =exp(y(65));
rhs =exp(y(7));
residual(68)= lhs-rhs;
lhs =exp(y(71));
rhs =T648;
residual(69)= lhs-rhs;
lhs =exp(y(67));
rhs =exp(y(40))+exp(y(39));
residual(70)= lhs-rhs;
lhs =exp(y(63));
rhs =exp(y(30))*0.5+exp(y(31))*0.5-exp(y(29));
residual(71)= lhs-rhs;
lhs =exp(y(73));
rhs =1;
residual(72)= lhs-rhs;
lhs =exp(y(72));
rhs =1;
residual(73)= lhs-rhs;
lhs =exp(y(74));
rhs =exp(y(67))/exp(y(62));
residual(74)= lhs-rhs;
lhs =y(75);
rhs =y(62);
residual(75)= lhs-rhs;
lhs =y(76);
rhs =y(75);
residual(76)= lhs-rhs;
lhs =y(77);
rhs =y(76);
residual(77)= lhs-rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
if nargout >= 2,
  g1 = zeros(77, 77);

%
% Jacobian matrix
%

  g1(1,1)=(1-params(10))*exp(y(50))*(exp(y(1))-params(10)*exp(y(1)))*(-((exp(y(1))-params(10)*exp(y(1)))^(-2)));
  g1(1,5)=(-exp(y(5)));
  g1(1,50)=T18;
  g1(2,2)=(-(params(2)*exp(y(52))*exp(y(2))))/(exp(y(2))*exp(y(2)));
  g1(2,5)=exp(y(45))*exp(y(5))*params(1)+(-(exp(y(5))*exp(y(45))));
  g1(2,45)=exp(y(45))*exp(y(5))*params(1)+(-(exp(y(5))*exp(y(45))));
  g1(2,52)=params(2)*exp(y(52))/exp(y(2));
  g1(3,5)=exp(y(5))-exp(y(5))*params(1)*(1+exp(y(29)))/T43;
  g1(3,29)=(-(exp(y(5))*params(1)*exp(y(29))/T43));
  g1(3,34)=(-((-(exp(y(5))*params(1)*(1+exp(y(29)))*T43))/(T43*T43)));
  g1(4,4)=(1-exp(y(60)))*exp(y(4))+exp(y(60))*exp(y(4))*(1+params(3))*exp(y(4))^(1+params(3)-1)/exp(y(42))/exp(y(5));
  g1(4,5)=(-(exp(y(5))*T58))/(exp(y(5))*exp(y(5)));
  g1(4,8)=(-(exp(y(8))*params(18)*T70+exp(y(8))*exp(y(8))*params(18)))+(T77*exp(y(8))*T75+T70*T75*exp(y(8))*2*exp(y(8)))/T43;
  g1(4,34)=(-(exp(y(8))*params(18)*T915))+(T43*T77*T75*T915-T43*T70*T75*T77)/(T43*T43);
  g1(4,42)=exp(y(60))*(-(exp(y(4))^(1+params(3))*exp(y(42))))/(exp(y(42))*exp(y(42)))/exp(y(5));
  g1(4,60)=T58/exp(y(5))+exp(y(4))*(-exp(y(60)));
  g1(5,8)=exp(y(8));
  g1(5,34)=(-T43);
  g1(6,1)=exp(y(1));
  g1(6,3)=exp(y(3))-(1+exp(y(29)))*exp(y(3))/T43;
  g1(6,4)=(-(exp(y(4))*exp(y(42))));
  g1(6,6)=(-(exp(y(6))/params(13)));
  g1(6,29)=(-(exp(y(29))*exp(y(3))/T43));
  g1(6,34)=(-((-(T43*(1+exp(y(29)))*exp(y(3))))/(T43*T43)));
  g1(6,42)=(-(exp(y(4))*exp(y(42))));
  g1(7,9)=(1-params(10))*exp(y(50))*(exp(y(9))-params(10)*exp(y(9)))*(-((exp(y(9))-params(10)*exp(y(9)))^(-2)));
  g1(7,13)=(-exp(y(13)));
  g1(7,50)=T101;
  g1(8,10)=(-(params(2)*exp(y(52))*exp(y(10))))/(exp(y(10))*exp(y(10)));
  g1(8,13)=exp(y(45))*exp(y(13))*params(4)+(-(exp(y(45))*exp(y(13))));
  g1(8,14)=T120;
  g1(8,34)=T120;
  g1(8,45)=T120+exp(y(45))*exp(y(13))*params(4)+(-(exp(y(45))*exp(y(13))));
  g1(8,52)=params(2)*exp(y(52))/exp(y(10));
  g1(8,57)=T120;
  g1(9,13)=T128;
  g1(9,14)=(-(exp(y(14))*(1+exp(y(30)))));
  g1(9,30)=(-(exp(y(13))*params(4)*exp(y(30))/T43))-exp(y(14))*exp(y(30));
  g1(9,34)=(-((-(T43*exp(y(13))*params(4)*(1+exp(y(30)))))/(T43*T43)));
  g1(10,12)=(1-exp(y(60)))*exp(y(12))+exp(y(60))*exp(y(12))*(1+params(3))*exp(y(12))^(1+params(3)-1)/exp(y(43))/exp(y(13));
  g1(10,13)=(-(exp(y(13))*T138))/(exp(y(13))*exp(y(13)));
  g1(10,15)=(-(exp(y(15))*params(18)*(exp(y(15))-T69)+exp(y(15))*params(18)*exp(y(15))))+(T150*exp(y(15))*T148+T149*exp(y(15))*2*exp(y(15)))/T43;
  g1(10,34)=(-(exp(y(15))*params(18)*T915))+(T43*T150*T148*T915-T43*T149*T150)/(T43*T43);
  g1(10,43)=exp(y(60))*(-(exp(y(12))^(1+params(3))*exp(y(43))))/(exp(y(43))*exp(y(43)))/exp(y(13));
  g1(10,60)=T138/exp(y(13))+exp(y(12))*(-exp(y(60)));
  g1(11,15)=exp(y(15));
  g1(11,34)=(-T43);
  g1(12,9)=exp(y(9));
  g1(12,11)=(1+exp(y(30)))*exp(y(11))/T43-exp(y(11));
  g1(12,12)=(-(exp(y(12))*exp(y(43))));
  g1(12,30)=exp(y(30))*exp(y(11))/T43;
  g1(12,34)=(-(T43*(1+exp(y(30)))*exp(y(11))))/(T43*T43);
  g1(12,43)=(-(exp(y(12))*exp(y(43))));
  g1(13,10)=(-(T43*exp(y(10))*exp(y(45))*exp(y(57))));
  g1(13,11)=(1+exp(y(30)))*exp(y(11));
  g1(13,30)=exp(y(30))*exp(y(11));
  g1(13,34)=(-(T43*exp(y(10))*exp(y(45))*exp(y(57))));
  g1(13,45)=(-(T43*exp(y(10))*exp(y(45))*exp(y(57))));
  g1(13,57)=(-(T43*exp(y(10))*exp(y(45))*exp(y(57))));
  g1(14,16)=(-(exp(y(16))*T184));
  g1(14,46)=exp(y(46))-exp(y(46))*(1-params(40));
  g1(14,56)=(-(exp(y(16))*T1098));
  g1(15,17)=(-T205);
  g1(15,56)=(-(exp(y(17))*(T1098-(exp(y(56))*exp(y(16))*params(36)*T181+exp(y(56))*exp(y(16))*params(36)*T180)/exp(y(16)))+T204+exp(y(56))*T180*params(36)*exp(y(17))*params(6)*exp(y(24))/exp(y(24))));
  g1(16,18)=(1-params(10))*(exp(y(18))-params(10)*exp(y(18)))*(-((exp(y(18))-params(10)*exp(y(18)))^(-2)));
  g1(16,24)=(-exp(y(24)));
  g1(17,17)=T221+params(6)*exp(y(24))*(1-params(40))*exp(y(17))-exp(y(17))*exp(y(24));
  g1(17,24)=params(6)*exp(y(24))*((1-params(40))*exp(y(17))+exp(y(49)))-exp(y(17))*exp(y(24));
  g1(17,25)=T221;
  g1(17,34)=T221;
  g1(17,49)=params(6)*exp(y(24))*exp(y(49));
  g1(17,58)=T221;
  g1(18,20)=T802;
  g1(18,23)=(-T242);
  g1(18,35)=T802;
  g1(18,42)=exp(y(42));
  g1(19,21)=T822;
  g1(19,23)=(-T250);
  g1(19,35)=T822;
  g1(19,43)=exp(y(43));
  g1(20,24)=exp(y(24))-params(6)*exp(y(24))*(1+exp(y(31)))/T43;
  g1(20,25)=(-(exp(y(25))*(1+exp(y(31)))));
  g1(20,31)=(-(exp(y(25))*exp(y(31))))-params(6)*exp(y(24))*exp(y(31))/T43;
  g1(20,34)=(-((-(T43*params(6)*exp(y(24))*(1+exp(y(31)))))/(T43*T43)));
  g1(21,17)=exp(y(17))*exp(y(19))-(1-params(40))*exp(y(17))*exp(y(19));
  g1(21,18)=exp(y(18));
  g1(21,19)=exp(y(17))*exp(y(19))-(1-params(40))*exp(y(17))*exp(y(19));
  g1(21,20)=exp(y(42))*exp(y(20));
  g1(21,21)=exp(y(43))*exp(y(21));
  g1(21,22)=(1+exp(y(31)))*exp(y(22))/T43-exp(y(22));
  g1(21,23)=(-(exp(y(23))/exp(y(35))));
  g1(21,31)=exp(y(31))*exp(y(22))/T43;
  g1(21,34)=(-(T43*(1+exp(y(31)))*exp(y(22))))/(T43*T43);
  g1(21,35)=(-((-(exp(y(23))*exp(y(35))))/(exp(y(35))*exp(y(35)))));
  g1(21,42)=exp(y(42))*exp(y(20));
  g1(21,43)=exp(y(43))*exp(y(21));
  g1(22,19)=(-(T285*exp(y(51))*exp(y(19))*params(8)*exp(y(19))^(params(8)-1)));
  g1(22,20)=(-(T281*T811));
  g1(22,21)=(-(T281*T828));
  g1(22,23)=exp(y(23));
  g1(22,51)=(-(T281*T285));
  g1(23,17)=T778;
  g1(23,19)=T778;
  g1(23,22)=(1+exp(y(31)))*exp(y(22));
  g1(23,31)=exp(y(31))*exp(y(22));
  g1(23,34)=T778;
  g1(23,58)=T778;
  g1(24,19)=(-(T285*params(8)*exp(y(51))*exp(y(19))*(params(8)-1)*exp(y(19))^(params(8)-1-1)/exp(y(35))));
  g1(24,20)=(-(T296*T811/exp(y(35))));
  g1(24,21)=(-(T296*T828/exp(y(35))));
  g1(24,35)=(-((-(exp(y(35))*T285*T296))/(exp(y(35))*exp(y(35)))));
  g1(24,49)=exp(y(49));
  g1(24,51)=(-(T285*T296/exp(y(35))));
  g1(25,32)=exp(y(32));
  g1(25,33)=(-(T313*(-params(31))*T308+(-params(31))*(T308-exp(y(66)))*T308*2*T308));
  g1(25,41)=(-(T313*(-params(31))*T1025+(-params(31))*(T308-exp(y(66)))*2*T308*T1025));
  g1(25,48)=(-exp(y(48)));
  g1(25,66)=(-(T313*(-params(31))*(-exp(y(66)))));
  g1(26,7)=(-exp(y(7)));
  g1(26,33)=T43*exp(y(33))-exp(y(33))*(1-params(30));
  g1(26,34)=T43*exp(y(33));
  g1(27,3)=(-(exp(y(3))*params(13)));
  g1(27,26)=params(28)*exp(y(26));
  g1(28,11)=(-(exp(y(11))*params(14)));
  g1(28,27)=params(28)*exp(y(27));
  g1(29,22)=(-(exp(y(22))*params(15)));
  g1(29,28)=params(28)*exp(y(28));
  g1(30,26)=(-exp(y(26)));
  g1(30,27)=exp(y(27));
  g1(30,28)=exp(y(28));
  g1(30,33)=(-exp(y(33)));
  g1(31,66)=exp(y(66))-T364*exp(y(66))*params(59)*exp(y(66))^(params(59)-1);
  g1(32,62)=(-(T371*T374*(-0.6000000000000005)*T374^(-1.600000000000001)));
  g1(32,68)=exp(y(68))-T374^(-0.6000000000000005)*exp(y(68))*0.94*exp(y(68))^(-0.06000000000000005);
  g1(32,77)=(-(T371*(-0.6000000000000005)*T374^(-1.600000000000001)*T1182));
  g1(33,62)=(-(T383*T374*(-1.199999999999999)*T374^(-2.199999999999999)));
  g1(33,69)=exp(y(69))-T374^(-1.199999999999999)*exp(y(69))*0.92*exp(y(69))^(-0.07999999999999996);
  g1(33,77)=(-(T383*(-1.199999999999999)*T374^(-2.199999999999999)*T1182));
  g1(34,29)=(-((-(exp(y(29))*exp(y(48))*exp(y(53))/(exp(y(53))-1)))/(exp(y(29))*exp(y(29)))));
  g1(34,48)=(-T395);
  g1(34,53)=T1070-exp(y(48))*T1070/exp(y(29));
  g1(35,31)=(-(exp(y(31))*exp(y(32))*exp(y(54))/(exp(y(54))-1)))/(exp(y(31))*exp(y(31)));
  g1(35,32)=T406;
  g1(35,54)=(-T1079)+exp(y(32))*T1079/exp(y(31));
  g1(36,30)=(-(exp(y(30))*exp(y(32))*exp(y(55))/(exp(y(55))-1)))/(exp(y(30))*exp(y(30)));
  g1(36,32)=T417;
  g1(36,55)=(-T1089)+exp(y(32))*T1089/exp(y(30));
  g1(37,7)=exp(y(7));
  g1(37,26)=exp(y(29))*exp(y(26));
  g1(37,27)=(-(exp(y(30))*exp(y(27))));
  g1(37,28)=(-(exp(y(31))*exp(y(28))));
  g1(37,29)=exp(y(29))*exp(y(26));
  g1(37,30)=(-(exp(y(30))*exp(y(27))));
  g1(37,31)=(-(exp(y(31))*exp(y(28))));
  g1(37,33)=T433+exp(y(33))*T430*T308*2*(T308-exp(y(66)));
  g1(37,41)=exp(y(33))*T430*2*(T308-exp(y(66)))*T1025;
  g1(37,66)=exp(y(33))*T430*2*(T308-exp(y(66)))*(-exp(y(66)));
  g1(38,6)=exp(y(6));
  g1(38,34)=(-(exp(y(37))*(-(params(33)/2*T959*2*T447))));
  g1(38,35)=(-(exp(y(37))*(-((-exp(y(35)))/(exp(y(35))*exp(y(35)))))));
  g1(38,37)=(-T451);
  g1(39,34)=(-(T43*params(33)*T447+T43*params(33)*T959))+T43*T447*params(1)*params(33)+T43*params(1)*params(33)*T959;
  g1(39,35)=(-(exp(y(35))*exp(y(59))))/(exp(y(35))*exp(y(35)));
  g1(39,59)=exp(y(59))/exp(y(35))+(-exp(y(59)));
  g1(40,5)=exp(y(5))*exp(y(70))-exp(y(5))*params(1)*(exp(y(6))+exp(y(70)))/T43;
  g1(40,6)=(-(exp(y(5))*params(1)*exp(y(6))/T43));
  g1(40,34)=(-((-(T43*exp(y(5))*params(1)*(exp(y(6))+exp(y(70)))))/(T43*T43)));
  g1(40,70)=exp(y(5))*exp(y(70))-exp(y(5))*params(1)*exp(y(70))/T43;
  g1(41,1)=(-(exp(y(1))*params(13)));
  g1(41,9)=(-(exp(y(9))*params(14)));
  g1(41,18)=(-(exp(y(18))*params(15)));
  g1(41,36)=exp(y(36));
  g1(42,27)=(-(params(28)*exp(y(27))));
  g1(42,40)=exp(y(40));
  g1(43,28)=(-(params(28)*exp(y(28))));
  g1(43,39)=exp(y(39));
  g1(44,39)=(-(exp(y(69))*exp(y(39))));
  g1(44,40)=(-(exp(y(68))*exp(y(40))));
  g1(44,41)=exp(y(41));
  g1(44,68)=(-(exp(y(68))*exp(y(40))));
  g1(44,69)=(-(exp(y(69))*exp(y(39))));
  g1(45,3)=(-(exp(y(3))*params(13)));
  g1(45,38)=exp(y(38));
  g1(46,23)=(-(exp(y(23))*params(15)));
  g1(46,37)=exp(y(37));
  g1(47,7)=(-(exp(y(7))*params(28)));
  g1(47,44)=exp(y(44));
  g1(48,4)=(-(exp(y(4))*params(13)));
  g1(48,20)=exp(y(20))*params(15);
  g1(49,12)=(-(exp(y(12))*params(14)));
  g1(49,21)=exp(y(21))*params(15);
  g1(50,2)=(-(exp(y(2))*params(13)));
  g1(50,10)=(-(exp(y(10))*params(14)));
  g1(51,19)=(-(exp(y(19))*params(15)));
  g1(51,46)=exp(y(46));
  g1(52,36)=(-exp(y(36)));
  g1(52,46)=(-(exp(y(46))-exp(y(46))*(1-params(40))));
  g1(52,62)=exp(y(62));
  g1(53,34)=(-T43);
  g1(53,47)=exp(y(47));
  g1(54,34)=(-((1+x(10))*T527*1^params(43)*T43/params(44)*params(42)*(T43/params(44))^(params(42)-1)*(1-params(41))*T533^(1-params(41)-1)));
  g1(54,48)=exp(y(48))-(1+x(10))*T533^(1-params(41))*(1+params(45))^(1-params(41))*exp(y(48))*params(41)*(1+exp(y(48)))^(params(41)-1);
  g1(55,50)=exp(y(50))-exp(y(50))*params(47);
  g1(56,51)=exp(y(51))-exp(y(51))*params(48);
  g1(57,52)=exp(y(52))-exp(y(52))*params(49);
  g1(58,57)=exp(y(57))-exp(y(57))*params(50);
  g1(59,58)=exp(y(58))-exp(y(58))*params(51);
  g1(60,53)=exp(y(53))-exp(y(53))*params(53);
  g1(61,54)=exp(y(54))-exp(y(54))*params(54);
  g1(62,55)=exp(y(55))-exp(y(55))*params(55);
  g1(63,56)=exp(y(56))-exp(y(56))*params(56);
  g1(64,59)=exp(y(59))-exp(y(59))*params(52);
  g1(65,60)=exp(y(60))-exp(y(60))*params(57);
  g1(66,61)=exp(y(61))-exp(y(61))*params(58);
  g1(67,20)=(-T807);
  g1(67,21)=(-T827);
  g1(67,64)=exp(y(64));
  g1(68,7)=(-exp(y(7)));
  g1(68,65)=exp(y(65));
  g1(69,33)=(-T648);
  g1(69,39)=T1014;
  g1(69,40)=T1020;
  g1(69,68)=T1020;
  g1(69,69)=T1014;
  g1(69,71)=exp(y(71));
  g1(70,39)=(-exp(y(39)));
  g1(70,40)=(-exp(y(40)));
  g1(70,67)=exp(y(67));
  g1(71,29)=exp(y(29));
  g1(71,30)=(-(exp(y(30))*0.5));
  g1(71,31)=(-(exp(y(31))*0.5));
  g1(71,63)=exp(y(63));
  g1(72,73)=exp(y(73));
  g1(73,72)=exp(y(72));
  g1(74,62)=(-((-(exp(y(62))*exp(y(67))))/(exp(y(62))*exp(y(62)))));
  g1(74,67)=(-(exp(y(67))/exp(y(62))));
  g1(74,74)=exp(y(74));
  g1(75,62)=(-1);
  g1(75,75)=1;
  g1(76,75)=(-1);
  g1(76,76)=1;
  g1(77,76)=(-1);
  g1(77,77)=1;
  if ~isreal(g1)
    g1 = real(g1)+2*imag(g1);
  end
end
if nargout >= 3,
%
% Hessian matrix
%

  g2 = sparse([],[],[],77,5929);
end;
